71

kirby0016's ModInstaller ONLINE!

Collectable
  • 20,537
    Views, 0 today
  • 3,230
    Downloads, 0 today

Get Embed Codes

Forum:
HTML:
Link:
avatar
kirby0016
Level 54 : Grandmaster Modder
177
Hi, this is a tool that allows you to easily install mods. Without dowloading it! (due to AdFly and other things, you still have to download the mods)
If you used this before: Make sure you delete your Java applet cache! (instructions here)

IMPORTANT: Backup your minecraft.jar before (you can use my backup tool if you want: Link). Also it does not support every mod, but most mods should work. Please tell me if you found a mod that does not work. Thanks.

How to install mods:
  • Open the webpage

  • Click the "Add Mod" button and choose a mod (usually a .zip file) OR use drag and drop

  • Click the "Install" button

  • Wait until a messagebox with "installation completed" shows up



If you are a modder or mod package creator then you can add a special file to your mod's zip to support this mod. So this mod can alert the users when he needs to install an Api like ModLoader etc.
Simply create a file called "info.inf" and put it into the zip. It can contain the following:

info.inf
NeedsModLoader=true
NeedsModLoaderMP=true
NeedsAudioMod=true
NeedsForge=true
NeedsGuiApi=true
NeedsModOptionsApi=true
NeedsPlayerApi=true
NeedsTMT=true
NeedsOptiFine=true
OverridesBaseClass=true


All the "Needs" things mean that the user will be alerted when this api isn't installed. If OverridesBaseClass=false then the mod's zip will simply be copied to the .minecraft/mods folder. Only use this if this method will work! This installer can also copy a "resources" folder to the resources folder in .minecraft or a "mods" folder to .minecraft/mods. Or a ".minecraft" folder to .minecraft. I tried to make it compatible to as many mods as possible, but I can't be compatible to every single mod. The problem is that Minecraft mod packaging isn't standardised.

If you like this, like my mods on Facebook

My own mods are compatible

License:
By downloading this you agree with the following:
You are allowed to:

  • use this tool and everything you create with it



You aren't allowed to:
  • redistribute this software or any part of it
  • to make money with the software or anything based on it (except the mods with the compytibility file)

  • decompile it / get the source code


I am NOT responsible for any damage done to your computer or anything else.
Progress: 100% Complete
Game Version:Minecraft 1.6.2
Tags:

Update #1.5 : 07/24/2013 11:15:34 am7/24/13

I made it 1.6.2 compatible. From now on you have to choose a jar file.
Make sure you delete your Java applet cache!

Update #1.4.2 : 04/20/2013 5:28:13 am4/20/13

Fixed a small bug with newer versions of Forge based mods. In order to see the latest version, clear your Java cache.

Update #1.4.1 : 08/17/2012 2:49:53 pm8/17/12

  • you can now choose a custom minecraft.jar to install the mods to
  • introduced a mod compatibility sheet.

Update #1.4 : 07/02/2012 11:42:27 am7/02/12

  • now online applet
  • many bug fixes

Update #1.3 : 05/27/2012 6:52:16 am5/27/12

  • temporary files are now saved in a folder in the same folder where your .minecraft folder is (Windows: %appdata%, etc.)
  • update error should be fixed

Update #1.2 : 04/21/2012 11:35:58 am4/21/12

  • better look'n'feel
  • support for drag'n'drop
  • leads you to this side when an update is released, instead of MinecraftForum

Update #V1.1 : 04/05/2012 12:28:05 pm4/05/12

Now a message box informs you when the installation is completed
some bugs fixed
from now on you will be messaged when a new version is available

Comments : 278

Join us to post comments.

Show Comments

1 - 50 of 278

  • chacking09
  • Level 4
  • Apprentice Miner
  • July 25, 2015, 8:37 am
i removed my Java applet cache but it still dosent work
  • chacking09
  • Level 4
  • Apprentice Miner
  • July 25, 2015, 8:26 am
not working :{
  • chacking09
  • Level 4
  • Apprentice Miner
  • July 25, 2015, 8:19 am
WHAT it worked but when i got a mod it said this plugin is not supported
  • chacking09
  • Level 4
  • Apprentice Miner
  • July 25, 2015, 8:08 am
never mind i fixed it :) thanks anyways
  • chacking09
  • Level 4
  • Apprentice Miner
  • July 25, 2015, 7:50 am
i installed java but it says that this plugin is not supported
  • Hawaii_Beach
  • Level 51
  • Grandmaster Programmer
  • September 30, 2013, 6:53 am
All my mods work with this mod.

My mods:

Upgrade Pickaxe Mod

[1.6.2] Jerry's Mod (Not on planetminecraft yet)
  • Dawid1270
  • Level 4
  • Apprentice Explorer
  • September 12, 2013, 12:34 pm
The new launcher makes it so easy, I don't need mod installers anymore :P
  • magzmotion
  • Level 1
  • New Explorer
  • August 16, 2013, 3:31 pm
i cant go on ur website becuz every time i try it says "Oops! Google Chrome could not connect to kirby0016.bplaced.net

[size=20px]Try reloading the page"[/size]

[size=20px]plz help![/size]
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 18, 2013, 9:35 am
Sorry, I have no idea why this might happen.
  • wookiecole2
  • Level 5
  • Apprentice Crafter
  • July 25, 2013, 7:50 pm
hey can u PM me the link of the site where I get modloader I cant find it and is there a working mood that I might enjoy about Kirby that works with this
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • July 26, 2013, 4:40 am
You can find ModLoader here:Ã http://www.minecraftforum.net/topic/75440-v162-risugamis-mods-updated/
But I don't know about a compatible Kirby Mod (at least no one that's up to date). I'd recommend to look for a Kirby mod that's up to date and just try it. (be sure to backup first)
  • wookiecole2
  • Level 5
  • Apprentice Crafter
  • July 26, 2013, 7:20 am
thx! also will u check out my new ghast project u can check it out later
Does the wedge worldgen mod work?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • June 5, 2013, 6:47 am
Yes it should work, but if you want to use Forge it's important that you install Forge before the mod itself. Modloader also works (and of course you need a compatible MC version). Be aware that I didn't test it, so I'm not completely sure.
Now Minecraft won't even finish loading.
I installed SkyCraft and NEI and Minecraft only has a black screen now.Help please?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • May 10, 2013, 5:53 am
I couldn't find a mod named SkyCraft for 1.5.2. Are you sure you have the right version of the mods and Minecraft?
I had to reset some things and now the problem is fixed,but i'm sure i have the right versions.
  • Roku
  • Level 1
  • New Explorer
  • April 26, 2013, 6:01 pm
Update 1.5.1 plz c:
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • April 30, 2013, 11:42 am
It's an installer, of course it works for 1.5.1. I only forgot to change the info here on PMC.
What do you mean by online?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • April 22, 2013, 12:12 pm
It's an applet, so you don't need to download it yourself. You just need Java and open the website.
Ahh, cool!
Does this delete Meda Inf By itself???
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • January 3, 2013, 4:14 am
Yes it does.
Ok,then I will get this.
  • roblox42
  • Level 1
  • New Miner
  • December 27, 2012, 12:21 pm
For Mac too? i can install mods myself but i feel lazy so yeah....
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • December 28, 2012, 10:00 am
I'm not sure, but as far as I know it should work. Maybe you could backup your minecraft.jar and test it?
  • Daletle
  • Level 1
  • New Miner
  • December 10, 2012, 6:16 am
do i need modloader???
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • December 11, 2012, 9:23 am
If the mod you want to install needs ModLoader, then yes.
THANK YOU
  • sdriegle
  • Level 12
  • Journeyman Engineer
  • September 15, 2012, 2:43 pm
when will you be done? I still can't download mods. I need help.
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • September 19, 2012, 10:07 am
What do you mean? After clicking the Website link and skipping the ad, you should see a webpage. Then you should be asked to allow the website to access to your computer. You should find the applet (like the first picture) on the site and then follow the instructions in the description above.
If that doesn't work, you can try the outdated desktop version:
dl.dropbox.com/u/59878043/ModInstaller/1.3/modinstaller.zip
This is the best thing ever. It's so easy to install mods. Diamond and favorite!!!
  • cajunjon
  • Level 23
  • Expert Ninja
  • August 19, 2012, 12:20 pm
Doesnt work for me...
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 24, 2012, 8:30 am
More specific please. What exactly happens?
  • cajunjon
  • Level 23
  • Expert Ninja
  • August 24, 2012, 10:12 am
no need to really, ive figured it out, but to help with those who will need it, it says it downloads, but it doesnt work ingame...
  • Kerkules
  • Level 4
  • Apprentice Explorer
  • August 18, 2012, 6:15 am
Does this works for Ender scrolls skyrimcraft?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 18, 2012, 11:09 pm
I wasn't able to test it, because I didn't find a working download link.
does this work with toomanyitems?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 18, 2012, 2:15 am
Yes, TMI is compatible. I added it to the compatibility sheet, now.
the link is not working for me. it brings me to an adfly then it brings me to a page that says: Error 403 Any Help?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 18, 2012, 11:03 pm
What link?
  • ldpelletier
  • Level 11
  • Journeyman Architect
  • August 17, 2012, 4:49 am
does it work on mac?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 17, 2012, 8:11 am
I didn't test, because I don't have a Mac, but it should work.
  • cajunjon
  • Level 23
  • Expert Ninja
  • August 16, 2012, 12:10 pm
Can i make this download to another file other than minecraft? Say... I have a backup of minecraft thats a whole seperate file... can i redirect it to download to that? My minecraft is messed up from another mod installer i tried. THANKS :)
  • cajunjon
  • Level 23
  • Expert Ninja
  • August 18, 2012, 7:18 am
thanks!
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 17, 2012, 8:12 am
Not at the moment, but it shouldn't be that hard to implement this feature, so I should be able to implement this next version.
  • alyssaeve123
  • Level 11
  • Journeyman Pony
  • August 14, 2012, 5:21 am
This is great I was expecting a download but it's download free! You earned a diamond and a friend.
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 16, 2012, 6:57 am
Wow, good to hear that you like it. :)
  • ldpelletier
  • Level 11
  • Journeyman Architect
  • August 9, 2012, 6:21 pm
PLZ MAKE A LIST OF MODS THAT DO WORK
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 16, 2012, 6:48 am
I already planed to do this, but I never did. I'll do it soon.
  • ldpelletier
  • Level 11
  • Journeyman Architect
  • August 9, 2012, 6:15 pm
how does it know my account?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 16, 2012, 6:46 am
It doesn't need your account. It simply puts the mod content into your minecraft.jar.
Kirby0016 can i have a download link to the mod installer..

i cant work the online one
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 16, 2012, 10:02 am
Sorry, that you had to wait that long, I got a new smartphone and played around with it :), here the download of version 1.3 (the last non-applet version): dl.dropbox.com/u/59878043/ModInstaller/1.3/modinstaller.zip
  • Huku7
  • Level 1
  • New Miner
  • August 6, 2012, 5:30 pm
Is this compatible with MineColony? (Yes, I downgraded to 1.2.5)
  • ldpelletier
  • Level 11
  • Journeyman Architect
  • August 9, 2012, 6:14 pm
how do u do that?
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • August 9, 2012, 5:11 am
No, sadly Minecolony doesn't work.
  • kisic82
  • Level 14
  • Journeyman Warrior
  • July 2, 2012, 12:04 pm
ok it needs uninstall ok i have problems with mods i have installed
just delete the bin you won't lose your saves or anything :)
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • July 3, 2012, 1:47 am
Sorry, but I don't think I can add uninstall, because a mod usually overwrites classes and so I can't simply delete them. That would cause a black screen.
  • kisic82
  • Level 14
  • Journeyman Warrior
  • July 3, 2012, 1:18 pm
k
  • schauweg
  • Level 3
  • Apprentice Architect
  • July 2, 2012, 11:35 am
very nice / sehr cool :D
  • kirby0016
  • Level 54
  • Grandmaster Modder
  • July 3, 2012, 1:45 am
Danke :)

1 - 50 of 278

Show Comments